From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/afflib/
Date: Sun, 21 Aug 2016 01:38:21 +0000 (UTC) [thread overview]
Message-ID: <1471743474.48d712dd45ae7cd22fbc1405acf12f64608899ce.radhermit@gentoo> (raw)
commit: 48d712dd45ae7cd22fbc1405acf12f64608899ce
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 21 01:37:54 2016 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Aug 21 01:37:54 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48d712dd
app-forensics/afflib: version bump to 3.7.8
app-forensics/afflib/Manifest | 1 +
app-forensics/afflib/afflib-3.7.8.ebuild | 70 ++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/app-forensics/afflib/Manifest b/app-forensics/afflib/Manifest
index 6f04ddf..5554f49 100644
--- a/app-forensics/afflib/Manifest
+++ b/app-forensics/afflib/Manifest
@@ -1,2 +1,3 @@
DIST afflib-3.7.4.tar.gz 569346 SHA256 74934ae60a76616442f1d593bdeb93dd6aa105b5dc8cee7e8e5d7529a77f46c0 SHA512 58791388a05d614dd5f219a74173de2ff0938a1f93b21e2dd0731aca52ea544ba60cc4325f0d284937467ce600a4302b7a2f724d84710ecc7f12db1a22a8e41c WHIRLPOOL db8d5f48aecc55bd4ee0e6f45552e37e6aa1621674d93a448ae5a5a6b3bba1ae9c40d8aac2211b6e27bf1ba72e1c998b9bb01e6c24298ef4287d7a117db9d820
DIST afflib-3.7.7.tar.gz 518933 SHA256 049acb8b430fc354de0ae8b8c2043c221a213bcb17259eb099e1d5523a9697bf SHA512 8698d66ab84601e5dcd64fcedf2087d5a8227895ed4009d314958eb223c56e0e59aa3e76d57f854a911f79194ae9c1ffc8af8e686310752744b43030c9e84e80 WHIRLPOOL bd3eb26aca379953b0b2d432cace22f84838a32e2f915a47e1a5d14e48ef133ab0aa40cf5de1c0656248181989bf2aa04ccb741a6e63bf7cdce34b101ef44641
+DIST afflib-3.7.8.tar.gz 518399 SHA256 1ffcf2e087a0f4396d5054f0171c69d44f15aa023aa787aafa7bb57d849f1db9 SHA512 a547ea459c479ccba1b4805bcbbac6f670abdccf8fe6685406d0662483a2b643652e3798e6396ecb24cfeea9bf711f636aeebb64794637ee54e7dbb62c0bdbb7 WHIRLPOOL b0fd9fd0e1d6c5b0900ff42883b4c243639df46dfd860c4767bdce128c0282d29b7f79b133b54dccd88a7c9cd67345590669a24031e7db6ca73bd48faabd43cc
diff --git a/app-forensics/afflib/afflib-3.7.8.ebuild b/app-forensics/afflib/afflib-3.7.8.ebuild
new file mode 100644
index 0000000..36fa7f2
--- /dev/null
+++ b/app-forensics/afflib/afflib-3.7.8.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils python-single-r1
+
+MY_PN=AFFLIBv3
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Library that implements the AFF image standard"
+HOMEPAGE="https://github.com/sshock/AFFLIBv3/"
+SRC_URI="https://github.com/sshock/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~x86 ~x64-macos"
+IUSE="fuse ncurses python qemu readline s3 static-libs threads"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="dev-libs/expat
+ dev-libs/openssl:0=
+ sys-libs/zlib
+ fuse? ( sys-fs/fuse )
+ ncurses? ( sys-libs/ncurses:0= )
+ python? ( ${PYTHON_DEPS} )
+ readline? ( sys-libs/readline:0= )
+ s3? ( net-misc/curl )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.7.1-python-module.patch
+ "${FILESDIR}"/${PN}-3.6.12-pyaff-header.patch
+)
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ sed -i '/FLAGS/s: -g::' configure.ac || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Hacks for automagic dependencies
+ use ncurses || export ac_cv_lib_ncurses_initscr=no
+ use readline || export ac_cv_lib_readline_readline=no
+
+ local myeconfargs=(
+ $(use_enable fuse)
+ $(use_enable python)
+ $(use_enable qemu)
+ $(use_enable s3)
+ $(use_enable static-libs static)
+ $(use_enable threads threading)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ prune_libtool_files --modules
+}
next reply other threads:[~2016-08-21 1:38 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-21 1:38 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-02 3:19 [gentoo-commits] repo/gentoo:master commit in: app-forensics/afflib/ Sam James
2023-04-08 17:44 Arthur Zamarin
2023-04-08 17:37 Arthur Zamarin
2023-04-08 17:31 Arthur Zamarin
2023-03-09 5:58 Sam James
2023-03-09 5:58 Sam James
2022-05-16 3:03 Sam James
2021-05-02 12:42 Mikle Kolyada
2021-01-07 11:33 Sam James
2021-01-07 10:11 Sam James
2021-01-04 1:32 Sam James
2020-12-04 3:16 Rick Farina
2020-05-07 13:18 Michał Górny
2019-02-28 17:43 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-23 20:14 Sergei Trofimovich
2019-02-23 11:58 Sergei Trofimovich
2019-02-18 21:23 Pacho Ramos
2019-02-18 21:23 Pacho Ramos
2018-11-13 10:49 Lars Wendler
2018-11-13 10:49 Lars Wendler
2017-12-10 14:16 David Seifert
2017-08-11 17:38 Michał Górny
2016-02-12 14:24 Patrick Lauer
2016-01-23 11:14 Fabian Groffen
2016-01-02 21:12 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1471743474.48d712dd45ae7cd22fbc1405acf12f64608899ce.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox